<bugID>556073<Summary>Unnecessary SSL mixed content warning due to prior page body onunload()</Summary><Description>User-Agent:       Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.5; en-US; rv:1.9.2.2) Gecko/20100316 Firefox/3.6.2
Build Identifier: Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.5; en-US; rv:1.9.2.2) Gecko/20100316 Firefox/3.6.2

Given a page served over SSL that generates no security warnings:

  https://p11.secure.hostingprod.com/@stealmycookies.com/ssl/helloworld.html

and a page not served over SSL that loads an object via a body onunload() event:

  http://stealmycookies.com/sslwarn.html

Visiting the SSL page directly generates no SSL warning, but visiting the SSL page via a link on the non-SSL page with body onunload() generates an SSL mixed content warning.

Refreshing the SSL page once there generates no warnings.

We couldn't find any bug that accurately captures this with a clear test case.  The closest I could find was https://bugzilla.mozilla.org/show_bug.cgi?id=527318 but that bug seems like it may be a different issue.

I'm filing this under security, although there may be a better category.  It is undesirable to generate -- and get users used to -- SSL warnings unnecessarily.

Scott


Reproducible: Always

Steps to Reproduce:
1. Go to https://p11.secure.hostingprod.com/@stealmycookies.com/ssl/helloworld.html -- no warnings generated
2. Go to http://stealmycookies.com/sslwarn.html and click on the link to the URL above -- SSL warnings are generated

Actual Results:  
SSL warnings are generated when clicking a link on a page with a body onunload event

Expected Results:  
No SSL warnings should be generated</Description></bugID>